#!/bin/sh
# For multiple sound cards.
PARAMS="$@"
if [ "$PARAMS" != "" ] ; then
	alsamixer $PARAMS
	exit
fi
if [ -e /etc/asound.conf ] ; then
	CARD="$(cat /etc/asound.conf | grep 'ctl.!default' | sed 's/.*card \(.\).*/\1/')"
	if [ "$CARD" != "" ]; then
		alsamixer -c $CARD
		exit
	fi
fi
alsamixer
